# Interface ICefMenuButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMenuButtonDelegate = interface(ICefButtonDelegate)`

## Description

Implement this interface to handle MenuButton events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_delegate_capi.h">CEF source file: /include/capi/views/cef_menu_button_delegate_capi.h (cef_menu_button_delegate_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefViewDelegate
- ICefButtonDelegate
- ICefMenuButtonDelegate

## Overview

### Methods

| `procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);`

## Description

### Methods

| `procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);`
Called when |button| is pressed. Call ICefMenuButton.ShowMenu() to show a popup menu at |screen_point|. When showing a custom popup such as a window keep a reference to |button_pressed_lock| until the popup is hidden to maintain the pressed button state. ###### Attributes GUID['{D0E89A75-463A-4766-8701-BD8D24B11E9F}']

Generated by PasDoc 0.16.0-snapshot.